<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo eliminar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleActionAccess(9, 4)
   && isset($_POST["par1"]) && $_POST["par1"] != ""
) {	
	$personaIdCod 	= filter_var($_POST["par1"], FILTER_SANITIZE_STRING);
	$personaId 		= filter_var( Varios::decodifica($personaIdCod), FILTER_SANITIZE_NUMBER_INT);

	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/ClienteProveedor.Class.php');
	$persona_obj = new ClienteProveedor(null);
	$auditoria_accion   = "Delete";
	$auditoria_tabla    = "persona";
	$auditoria_sql      = "EXEC agenda.SP_persona_eliminar ".$personaId;

	$persona_resultado = $persona_obj->eliminarPersona($personaId);

	$mensaje 	= $persona_resultado[1];
	$resultado 	= $persona_resultado[0];
	if($resultado > 0) {		
		$correcto 	= true;
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );		
	$persona_obj->Close();	

} else {
	$mensaje = 'Los parámetros recibidos NO son válidos';	
}

$data = array(
			'success' => $correcto, 
			'mensaje' => $mensaje,
			'sesion'  => $sesion
		);
echo json_encode($data);
?>